Updates source visual types
curl --request PUT \
--url http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
[
{
"visualTypeId": "<string>",
"name": "<string>",
"type": "<string>",
"enabled": true,
"restriction": {
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
}
]
'import requests
url = "http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types"
payload = [
{
"visualTypeId": "<string>",
"name": "<string>",
"type": "<string>",
"enabled": True,
"restriction": {
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
}
]
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify([
{
visualTypeId: '<string>',
name: '<string>',
type: '<string>',
enabled: true,
restriction: {value: '<unknown>', custom: {}, label: '<string>', path: '<string>'}
}
])
};
fetch('http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'visualTypeId' => '<string>',
'name' => '<string>',
'type' => '<string>',
'enabled' => true,
'restriction' => [
'value' => '<unknown>',
'custom' => [
],
'label' => '<string>',
'path' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types"
payload := strings.NewReader("[\n {\n \"visualTypeId\": \"<string>\",\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"enabled\": true,\n \"restriction\": {\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\",\n \"path\": \"<string>\"\n }\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("[\n {\n \"visualTypeId\": \"<string>\",\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"enabled\": true,\n \"restriction\": {\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\",\n \"path\": \"<string>\"\n }\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "[\n {\n \"visualTypeId\": \"<string>\",\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"enabled\": true,\n \"restriction\": {\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\",\n \"path\": \"<string>\"\n }\n }\n]"
response = http.request(request)
puts response.read_body[
{
"visualTypeId": "<string>",
"name": "<string>",
"type": "<string>",
"enabled": true,
"restriction": {
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
}
]{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Updates source visual types
Requires WRITE permission on the source
Updates source visual types
curl --request PUT \
--url http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/vnd.composer.v3+json' \
--data '
[
{
"visualTypeId": "<string>",
"name": "<string>",
"type": "<string>",
"enabled": true,
"restriction": {
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
}
]
'import requests
url = "http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types"
payload = [
{
"visualTypeId": "<string>",
"name": "<string>",
"type": "<string>",
"enabled": True,
"restriction": {
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
}
]
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/vnd.composer.v3+json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/vnd.composer.v3+json'
},
body: JSON.stringify([
{
visualTypeId: '<string>',
name: '<string>',
type: '<string>',
enabled: true,
restriction: {value: '<unknown>', custom: {}, label: '<string>', path: '<string>'}
}
])
};
fetch('http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
[
'visualTypeId' => '<string>',
'name' => '<string>',
'type' => '<string>',
'enabled' => true,
'restriction' => [
'value' => '<unknown>',
'custom' => [
],
'label' => '<string>',
'path' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/vnd.composer.v3+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types"
payload := strings.NewReader("[\n {\n \"visualTypeId\": \"<string>\",\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"enabled\": true,\n \"restriction\": {\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\",\n \"path\": \"<string>\"\n }\n }\n]")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/vnd.composer.v3+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/vnd.composer.v3+json")
.body("[\n {\n \"visualTypeId\": \"<string>\",\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"enabled\": true,\n \"restriction\": {\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\",\n \"path\": \"<string>\"\n }\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/sources/{sourceId}/visual-types")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/vnd.composer.v3+json'
request.body = "[\n {\n \"visualTypeId\": \"<string>\",\n \"name\": \"<string>\",\n \"type\": \"<string>\",\n \"enabled\": true,\n \"restriction\": {\n \"value\": \"<unknown>\",\n \"custom\": {},\n \"label\": \"<string>\",\n \"path\": \"<string>\"\n }\n }\n]"
response = http.request(request)
puts response.read_body[
{
"visualTypeId": "<string>",
"name": "<string>",
"type": "<string>",
"enabled": true,
"restriction": {
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>",
"path": "<string>"
}
}
]{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Path Parameters
Body
application/vnd.composer.v3+json
Visual type id
Visual type name
Visual type type
Enables or disables visual type for the source
Contains information about restriction of using this visual type for the source. This information is returned only if it was explicitly requested
Show child attributes
Show child attributes
Response
Source visual types were updated successfully
Visual type id
Visual type name
Visual type type
Enables or disables visual type for the source
Contains information about restriction of using this visual type for the source. This information is returned only if it was explicitly requested
Show child attributes
Show child attributes
Was this page helpful?